Subject: bug#50901: closed (Re: bug#50901: perl6-tap-harness: perl6 path issue)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Nov 2024 18:34:02 +0000

Your bug report

#50901: perl6-tap-harness: perl6 path issue

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50901: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50901
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50901: perl6-tap-harness: perl6 path issue
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Fri, 01 Nov 2024 10:33:43 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The prove6 command appears to no longer exist in the passage, so I am closing my old bug.

-- 
Christopher Howard

Subject: perl6-tap-harness: perl6 path issue
From: Christopher Howard <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 29 Sep 2021 11:12:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello. I'm not a Perl expert, but I was needing to use the prove6
command from perl6-tap-harness. When I set up "guix environment --ad-
hoc perl6-tap-harness rakudo" and run the "prove6" command, I get this
error:

```
/gnu/store/qm5p9yqaal1lppcag8ag69wwhj2q0rjg-profile/bin/prove6:
/gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-perl6-tap-harness-
0.0.7/bin/.prove6-real: perl6: bad interpreter: No such file or
directory
````

But I don't have trouble running perl6 command by itself.

To save some trouble, here is the prove6 script and the head of
.prove6-real:

```
$ head /gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-perl6-tap-harness-
0.0.7/bin/prove6 
#!/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-
5.0.16/bin/bash
export PERL6LIB="/gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-perl6-tap-
harness-
0.0.7/share/perl6/lib,/gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-
perl6-tap-harness-
0.0.7/share/perl6/site/lib,/gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-
perl6-tap-harness-
0.0.7/share/perl6/vendor/lib,/gnu/store/db59gi37wfp8rg4h150qhlh65lyb300
a-rakudo-2019.03.1/share/perl6/lib${PERL6LIB:+,}$PERL6LIB"
exec -a "$0" "/gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-perl6-tap-
harness-0.0.7/bin/.prove6-real" "$@"

$ head /gnu/store/7lacqfg5rqnjdnwhva0n4hiw16gwfa2h-perl6-tap-harness-
0.0.7/bin/.prove6-real
#! perl6

use TAP;

multi sub listall(IO::Path $path where .d) {
    for $path.dir(:test{ !$^file.starts-with('.') }) -> $entry {
        listall($entry);
    }
}
multi listall(IO::Path $path) {
```

My system information:

```
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System 8313587f612bdbfe0116288afaa534b181ac7218 x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.13.16-gnu1 
Uptime: 7 days, 1 hour, 44 mins 
Packages: 95 (guix-system), 120 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 4622MiB / 7869MiB 
```

-- 
Christopher Howard
Gemini capsule: gemini://gem.librehacker.com
Web viewer: https://portal.mozz.us/gemini/gem.librehacker.com